MagickCore: utility.c File Reference

# utility.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/blob.h"`
`#include "magick/color.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/option.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/signature.h"`
`#include "magick/statistic.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`

## Defines
#define | X_OK 1
## Functions
static int | IsDirectory (const char *)
MagickExport MagickBooleanType | AcquireUniqueFilename (char *path)
static size_t | MagickMin (const size_t x, const size_t y)
MagickExport MagickBooleanType | AcquireUniqueSymbolicLink (const char *source, char *destination)
MagickExport void | AppendImageFormat (const char *format, char *filename)
MagickExport unsigned char * | Base64Decode (const char *source, size_t *length)
MagickExport char * | Base64Encode (const unsigned char *blob, const size_t blob_length, size_t *encode_length)
MagickExport void | ChopPathComponents (char *path, const unsigned long components)
MagickExport void | ExpandFilename (char *path)
MagickExport MagickBooleanType | ExpandFilenames (int *argc, char ***argv)
MagickExport MagickBooleanType | GetExecutionPath (char *path, const size_t extent)
MagickExport void | GetPathComponent (const char *path, PathType type, char *component)
MagickExport char ** | GetPathComponents (const char *path, unsigned long *number_components)
MagickExport MagickBooleanType | IsAccessible (const char *path)
MagickExport MagickBooleanType | IsMagickTrue (const char *value)
static int | FileCompare (const void *x, const void *y)
MagickExport char ** | ListFiles (const char *directory, const char *pattern, unsigned long *number_entries)
MagickExport FILE * | MagickOpenStream (const char *path, const char *mode)
MagickExport unsigned long | MultilineCensus (const char *label)
MagickExport int | SystemCommand (const MagickBooleanType verbose, const char *command)
## Variables
static const char | Base64 [] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"

## Define Documentation

#define X_OK 1

## Function Documentation

MagickExport MagickBooleanType AcquireUniqueFilename | ( | char * | path | ) |

MagickExport MagickBooleanType AcquireUniqueSymbolicLink | ( | const char * | source,
|  | char * | destination |
| ) |  |  |

MagickExport void AppendImageFormat | ( | const char * | format,
|  | char * | filename |
| ) |  |  |

MagickExport unsigned char* Base64Decode | ( | const char * | source,
|  | size_t * | length |
| ) |  |  |

MagickExport char* Base64Encode | ( | const unsigned char * | blob,
|  | const size_t | blob_length,
|  | size_t * | encode_length |
| ) |  |  |

MagickExport void ChopPathComponents | ( | char * | path,
|  | const unsigned long | components |
| ) |  |  |

MagickExport void ExpandFilename | ( | char * | path | ) |

MagickExport MagickBooleanType ExpandFilenames | ( | int * | argc,
|  | char *** | argv |
| ) |  |  |

static int FileCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

MagickExport MagickBooleanType GetExecutionPath | ( | char * | path,
|  | const size_t | extent |
| ) |  |  |

MagickExport void GetPathComponent | ( | const char * | path,
|  | PathType | type,
|  | char * | component |
| ) |  |  |

MagickExport char** GetPathComponents | ( | const char * | path,
|  | unsigned long * | number_components |
| ) |  |  |

MagickExport MagickBooleanType IsAccessible | ( | const char * | path | ) |

static int IsDirectory | ( | const char * | path | ) | `[static]`

MagickExport MagickBooleanType IsMagickTrue | ( | const char * | value | ) |

MagickExport char** ListFiles | ( | const char * | directory,
|  | const char * | pattern,
|  | unsigned long * | number_entries |
| ) |  |  |

static size_t MagickMin | ( | const size_t | x,
|  | const size_t | y |
| ) |  |  | `[inline, static]`

MagickExport FILE* MagickOpenStream | ( | const char * | path,
|  | const char * | mode |
| ) |  |  |

MagickExport unsigned long MultilineCensus | ( | const char * | label | ) |

MagickExport int SystemCommand | ( | const MagickBooleanType | verbose,
|  | const char * | command |
| ) |  |  |

## Variable Documentation

const char Base64[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"`[static]`